List Users
Reference for the GET /console/v1/users endpoint of the Statsig API.
get
https://statsigapi.net/console/v1/usersAuthorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Query parameters
limitintegerResults per page
Example:
10Constraints:
stringnumberpageintegerPage number
Example:
1Constraints:
stringnumberinclude_stale_membersbooleanWhether to include stale company-user membership edges. Defaults to false, which returns only effective current members (matching the Settings UI).
Example:
falseResponse
application/json200· List users response
messagestringrequiredA simple string explaining the result of the operation.
dataobject[]requiredShow child attributes
userIDstringrequiredThe user's unique ID.
emailstringrequiredThe email address of the user.
Constraints:
format: emailfirstNamestringrequiredThe user's first name.
lastNamestringrequiredThe user's last name.
rolestringrequiredThe user's role, which can be 'Admin', 'Read Only', 'Member', or any custom role name.
paginationobjectrequiredPagination metadata for checking if there is next page for example.
Show child attributes
itemsPerPagenumberrequiredConstraints:
format: doublepageNumbernumberrequiredConstraints:
format: doublenextPagestringrequiredConstraints:
nullablepreviousPagestringrequiredConstraints:
nullabletotalItemsnumberConstraints:
format: doubleallstring400· Invalid request. Please check the request input and try again.
statusintegerrequiredAllowed values:
400messagestringrequired401· This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequiredAllowed values:
401messagestringrequiredWas this helpful?